<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div>
	<div class="row">
		<span class="server-message {{ADClassicSettingsCtrl.pageMessage.type}}">{{ADClassicSettingsCtrl.pageMessage.message}}</span>
	</div>
	</div>
	<div class="row">
		<div class="col-md-6">
			<!-- Begin AD Credentials -->
			<cv-tile-component data-ac-id="activeDirectoryDetails-account" data-title='<cv:msg key="label.general" bundle="activeDirectory"/>' data-loader="!ADClassicSettingsCtrl.showLoaderADClientInfo">
				<div>
					<ul class="list-style-secondary">

						<!--  user Account -->
						<li class="group">
							<span class="pageDetailColumn width-40-percentage"><cv:msg key="label.userAccount" bundle="activeDirectory"/></span>
							<span class="pageDetailColumn width-60-percentage">
								<span data-ng-bind="ADClassicSettingsCtrl.agentDetails.granularADProperties.granularADAccount.userName"></span>
								<span class="float-right tile-content-link" >
									<a data-ng-click="ADClassicSettingsCtrl.changeADCredentials()">
										<cv:msg key="label.edit" bundle="clients" />
									</a>
								</span>
							</span>
						</li>
						<!--  user Account -->

						<li class="group" data-ng-if="ADClassicSettingsCtrl.showPlan && ADClassicSettingsCtrl.tileLoadFlags.planInfoLoaded">
							<span class="pageDetailColumn width-40-percentage"><cv:msg key="label.serverPlan" bundle="exchange"/></span>
							<span class="pageDetailColumn width-60-percentage">
								<a href="#profileDetails/{{ADClassicSettingsCtrl.planId}}">
									<span data-ng-bind="ADClassicSettingsCtrl.planName"></span>
								</a>
								<span class="float-right tile-content-link" >
									<a data-ng-click="ADClassicSettingsCtrl.editServerPlan(true)">
										<cv:msg key="label.edit" bundle="clients" />
									</a>
								</span>
							</span>
						</li>

						<li class="group"  data-ng-if="!ADClassicSettingsCtrl.showPlan && ADClassicSettingsCtrl.tileLoadFlags.planInfoLoaded">
							<span class="pageDetailColumn width-40-percentage margin-top-10"><cv:msg key="label.serverPlan" bundle="exchange"/></span>
							<span class="pageDetailColumn width-60-percentage inline-editor">
								<cv-plan-summary-dropdown
									class="full-width"
									input-model="ADClassicSettingsCtrl.serverPlanList"
									output-model="ADClassicSettingsCtrl.selectedPlanList"
									button-label="'planName'"
									item-label="'planName'"
									tick-property="'selected'"
									selection-mode="'single'"
									directive-id="'plans'"
									max-labels="1"
									helper-elements="'filter'"
									translation="ADClassicSettingsCtrl.localLang"
									disable-property="'disabled'">
								</cv-plan-summary-dropdown>

								<span class="inline-editor-buttons">
									<a class="inline-editor-button" data-ng-class="{disabled: loading}"  ng-click="ADClassicSettingsCtrl.updateServerPlan()"><span class="k-icon k-i-check"></span></a>
									<a class="inline-editor-button" data-ng-class="{disabled: loading}"  ng-click="ADClassicSettingsCtrl.editServerPlan(false)"><span class="k-icon k-i-x"></span></a>
								</span>
							</span>
						</li>

						<!--  Check Readiness -->
						<li class="group" data-ng-if="ADClassicSettingsCtrl.tileLoadFlags.clientInfoLoaded" >
							<span class="pageDetailColumn width-40-percentage">
								<cv:msg key="label.clientReadiness" bundle="clients" />
							</span>
							<span class="pageDetailColumn width-60-percentage client-readiness">
								<span data-ng-if="ADClassicSettingsCtrl.readinessStatus" >
									<span data-ng-bind="ADClassicSettingsCtrl.readinessStatus"></span>
									<span data-ng-if="ADClassicSettingsCtrl.clientReadinessLastCheckedText" class="parenthetical-text last-checked" data-ng-bind="ADClassicSettingsCtrl.clientReadinessLastCheckedText"></span>
								</span>
								<span data-ng-if="!ADClassicSettingsCtrl.readinessStatus">
									<cv:msg key="label.notAvailable" bundle="servers" />
								</span>	
								<span class="float-right tile-content-link" >
									<a data-ng-click="ADClassicSettingsCtrl.onClickShowDetailedReport()" uib-tooltip="<cv:msg key='label.showDetailedClientReadinessReport' bundle='clients' />" tooltip-placement="top"><cv:msg key='label.showDetails' bundle='clients' /></a>
								</span>
							</span>
						</li>
						<!--  End Check Readiness -->
					</ul>
				</div>
			</cv-tile-component>
			<!-- End AD Credentials-->
			<!-- Begin Activity Control -->
			<cv-activity-control-component data-ac-params="ADClassicSettingsCtrl.acParams"></cv-activity-control-component>
			<!-- End Activity Control -->
		</div>
		<div class="col-md-6">
			<span data-ng-if="ADClassicSettingsCtrl.tileLoadFlags.associationsLoaded">
				<cv-security-component entity-type='ADClassicSettingsCtrl.entityType' generic-entity='ADClassicSettingsCtrl.genericEntity' associations='ADClassicSettingsCtrl.formattedSecurityAssociations' associations-loaded='ADClassicSettingsCtrl.tileLoadFlags.associationsLoaded' data-show-Owners='true'>
				</cv-security-component>
			</span>
		</div>
	</div>
</div>