<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}">
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restoreJs"></cv:cvMessages>//also needed for displaying the toast message
	<cv:cvMessages bundle="localization.activeDirectory"></cv:cvMessages>
	<cv:cvMessages bundle="localization.saphana"></cv:cvMessages>
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages> //needed for job info disply
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages> //needed for job error disply
</script>
<div class="setup-title">
	<h1>
		<cv:msg key="label.restore" bundle="activeDirectory" />
	</h1>
</div>
<div class="setup-content">
	<div class="panel">
		<div class="cv-modal-wrapper">
			<label for="whenObjectExists" class="cv-label margin-top-10"><cv:msg
					key="label.whenObjectExists" bundle="activeDirectory"></cv:msg></label>
			<div class="cv-inline-wrapper">
				<div class="radio">
					<label><input type="radio" data-ng-model="azureADRestoreOptionsCtrl.unconditionalOverwrite"
						data-ng-value="true" /> <cv:msg key="label.unconditionalOverwrite" bundle="activeDirectory"></cv:msg></label>
				</div>
				<div class="radio">
					<label><input type="radio" data-ng-model="azureADRestoreOptionsCtrl.unconditionalOverwrite"
						data-ng-value="false" /> <cv:msg key="label.skip" bundle="activeDirectory"></cv:msg></label>
				</div>
			</div>
		</div>
		<div class="cv-modal-wrapper">
			<label class="cv-label"><cv:msg key="label.membership" bundle="activeDirectory" /></label>
			<div class="cv-inline-wrapper">
				<div class="margin-top-10 margin-left-20">
					<cv-toggle toggle-name="restoreMembership" toggle-label="label.restoreMembership" value="azureADRestoreOptionsCtrl.restoreMembership"></cv-toggle>
				</div>				
			</div>
		</div>
	</div>
	<div class="panel" ng-if="azureADRestoreOptionsCtrl.restoreObjType == 'USER'">
		<h4 class="text-left padding-left-20"> <cv:msg key="label.whenUserDoesntExists" bundle="activeDirectory" /></h5>
		<div class="cv-modal-wrapper">
			<label class="cv-label"><cv:msg key="label.newUserDefaultPassword" bundle="activeDirectory"></cv:msg></label>
			<div class="cv-inline-wrapper">				
				<input id="whenUserDoesntExists" data-ng-model="azureADRestoreOptionsCtrl.newUserDefaultPassword" class="" type="password" />
			</div>			
		</div>	
	</div>
	
	<div class="button-container">
		<button id="azureADRestoreOptions_button_#9275" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" 
			data-ng-click="azureADRestoreOptionsCtrl.cancelModal()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button id="azureADRestoreOptions_button_#0221" class="btn btn-primary cvBusyOnAjax" data-ng-click="azureADRestoreOptionsCtrl.doRestore()"> 
			<cv:msg key="label.confirmRestore" bundle="activeDirectory" />
		</button>						
	</div>
</div>